fftw (2.1.5-6build1) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:24:47 +0000

fftw (2.1.5-6) unstable; urgency=medium

  * Team upload.
  * DEP3
  * Enable architecture all builds
  * Enhance clean target
  * Do not run configure twice (in arch and indep build) to ensure
    libsfftw will be properly build
    Closes: #999821

 -- Andreas Tille <tille@debian.org>  Wed, 19 Jan 2022 16:38:42 +0100

fftw (2.1.5-5) unstable; urgency=medium

  * Team upload

  [ Jelmer Vernooĳ ]
  * Change priority extra to priority optional.

  [ Andreas Tille ]
  * Add watch file
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Point Vcs fields to salsa.debian.org (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Remove Section on fftw2, Section on fftw-dev, Section on sfftw2, Section on
    sfftw-dev that duplicate source.
  * Apply multi-arch hints.
    + fftw-docs: Add Multi-Arch: foreign.
  * Machine readable copyright
  * Switch to dh
  * Enable dh_missing --failmissing (as per dh compat 13)
  * Use Debian packaged texi2html
    Closes: #800653

 -- Andreas Tille <tille@debian.org>  Wed, 10 Nov 2021 16:53:14 +0100

fftw (2.1.5-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: Unescaped left brace in regex is deprecated here":
    add patch fix-texi2html-perl526.patch to fix Perl 5.26 regexp
    warnings/errors.
    (Closes: #871367)
  * Add support for DEB_BUILD_OPTIONS=nocheck in debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Wed, 16 Aug 2017 03:22:14 +0200

fftw (2.1.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS due to bfnnconv.pl failing to execute m-ascii.pl (.
    removed from @INC in perl)":
    add patch adding "./" to the require() calls in FAQ/bfnnconv.pl.
    (Closes: #837055)

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Sep 2016 14:15:51 +0200

fftw (2.1.5-4) unstable; urgency=medium

  * Team upload
  * Bug fix: "Removal of debhelper compat 4", thanks to
    niels@thykier.net</a>; (Closes: #817452).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 12 Jul 2016 09:42:31 +0200

fftw (2.1.5-3) unstable; urgency=medium

  * Team upload.
  * Run wrap-and-sort.
  * Packaging moved to git, set correctly Vcs-Git and Vcs-Browser.
  * remove useless debian/*dirs files.
  * Fix FTBFS with perl 5.22.  Closes: #811223
    Thanks to Graham Inggs <ginggs@debian.org> for the patch!
  * Use DEB_HOST_ARCH_CPU instead of DEB_HOST_ARCH to correctly optimize for
    non-linux architectures too.  Closes: #674762
    Thanks: Robert Millan <rmh@debian.org> for the patch!

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 12 Feb 2016 23:09:00 +0000

fftw (2.1.5-2) unstable; urgency=low

  * Team upload.
  * Bug fix: "FTBFS with TZ=GMT-14", thanks to Holger Levsen (Closes:
    #786694).
  * Fix fftw.texi and make sure it is always rebuilt.
  * Check against Policy 3.9.6

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 23 Jun 2015 11:48:16 +0200

fftw (2.1.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Package moved into the Debian Science team (no answer from the previous
    maintainer) and package not maintained.
  * Standards-Version updated to version 3.9.2
  * Vcs-Browser & Vcs-Svn updated
  * Switch to mpi-default-dev (Closes: #571446)
  * Get ride of .la files (Closes: #633175)
  * Fix lintian warning debhelper-but-no-misc-depends
  * Fix lintian warning patch-system-but-direct-changes-in-diff
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Nov 2011 01:48:33 +0100

fftw (2.1.3-22) unstable; urgency=low

  * Add missed patches from 2.1.3-20.1 to dpatch (closes: #480908)
  * Call autoreconf to avoid shipping Makefile.inS in diff.gz
  * debian/control: add build-depends on autotools-dev, autoconf and automake
  * debian/control: add build-conflicts on autoconf2.13, automake1.4
  * debian/rules: add build-depends on dpatch
  * debian/rules: use $(CURDIR), not `pwd`
  * debian/rules: do not ignore clean failures
  * debian/control: bump Standards-Version to 3.7.3
  * debian/control: fftw-docs to Section doc
  * debian/control: {,s}fftw-dev use binary:Version, not Source-Version

 -- Paul Brossier <piem@debian.org>  Wed, 14 May 2008 11:23:40 +0200

fftw (2.1.3-21) unstable; urgency=low

  * Acknowledge non-maintainer upload, thanks to Colin Tuckley
    (closes: #466366)
  * Fix bashism in debian/rules, thanks to Chris Lamb and Raphael Geissert
    (closes: #478375)

 -- Paul Brossier <piem@debian.org>  Sat, 10 May 2008 19:46:07 +0200

fftw (2.1.3-20.1) unstable; urgency=low

  * Non-maintainer Upload.
  * Use/depend on gfortran based Lapack and Blas packages (Closes: #466366).
  * Build with gfortran instead of g77.

 -- Colin Tuckley <colint@debian.org>  Mon, 25 Feb 2008 09:37:07 +0000

fftw (2.1.3-20) unstable; urgency=low

  * Add working makefiles to fftw-docs (closes: #378550)

 -- Paul Brossier <piem@debian.org>  Thu,  5 Oct 2006 01:53:10 +0200

fftw (2.1.3-19) unstable; urgency=low

  * Patch tests/test_main.c to workaround buggy counter when using gcc 4.1 on
    64 bit machines (many thanks to Vincent Fourmond, closes: #373647)

 -- Paul Brossier <piem@debian.org>  Sat,  1 Jul 2006 11:53:33 +0200

fftw (2.1.3-18) unstable; urgency=low

  * Fix inclusions in generated headers (closes: #372518)
  * Realign paragraphs in long descriptions
  * Change Priority to extra

 -- Paul Brossier <piem@debian.org>  Sat, 10 Jun 2006 14:32:06 +0200

fftw (2.1.3-17) unstable; urgency=low

  * Adopt package (closes: #263126).
  * Acknowledge NMU (closes: #325813, #333631, #334726)
  * Start again packaging from dh_make templates.
  * Fix autoconf/automake
    + update generated files with autoreconf -f -i (closes: #356966)
    + do not use XXX_variables_XXX, use @variables@ instead
    + do not use -rpath in {threads,mpi}/Makefile.am (closes: #358157)
    + do not use EXTRA_LTLIBRARIES in {threads,mpi}/Makefile.am
      (libtool unhappy with installing extra libs, so always build anyway)
    + do not use mpicc in mpi/Makefile.am, add -lmpi to LDFLAGS
    + install .la files, .so links updated to new libtool
  * debian/control:
    + lower first character case in short descriptions
    + move fftw2 and sfftw2 to Section oldlibs
    + move fftw-dev and sfftw-dev to Section oldlibs (closes: #339995, #339996)
    + move fftw-docs to Section oldlibs
    + move source package to Section math
    + bump Standards-Version
    + suggests mpich-bin instead of mpich
    + added build-deps on debhelper and libtool
  * debian/rules:
    + always rebuild doc and FAQ
    + rebuilt info page is one single file
    + hack to install files as before
    + moved tests to examples in fftw-docs
  * debian/copyright Updated licence entries
  * added info section in doc/fftw.texi

 -- Paul Brossier <piem@debian.org>  Fri,  2 Jun 2006 02:17:31 +0200

fftw (2.1.3-16) unstable; urgency=low

  * Reuploaded to allow compilation with gcc 3.3 which will help some arches.

 -- James A. Treacy <treacy@debian.org>  Sat,  9 Aug 2003 23:34:54 -0400

fftw (2.1.3-15) unstable; urgency=low

  * Docs moved into fftw-docs

 -- James A. Treacy <treacy@debian.org>  Mon, 13 Jan 2003 18:24:05 -0500

fftw (2.1.3-14) unstable; urgency=low

  * added AM_MAINTAINER_MODE to configure.in. Should avoid dependency on
    aclocal-1.4 and allow build to work on all arches

 -- James A. Treacy <treacy@debian.org>  Fri, 23 Aug 2002 15:11:23 -0400

fftw (2.1.3-13) unstable; urgency=low

  * Update files using newer libtool. Closes: bug#157246

 -- James A. Treacy <treacy@debian.org>  Mon, 19 Aug 2002 09:38:40 -0400

fftw (2.1.3-12) unstable; urgency=low

  * Don't install static libs using install -s. Closes: bug#136955

 -- James A. Treacy <treacy@debian.org>  Tue, 5 Mar 2002 00:28:49 -0500

fftw (2.1.3-11) unstable; urgency=low

  * sfftw conflicts: fftw2 (<= 2.1.3-10). closes: Bug#129818

 -- James A. Treacy <treacy@debian.org>  Mon, 21 Jan 2002 00:28:49 -0500

fftw (2.1.3-10) unstable; urgency=low

  * Change the shlibs files so dependencies get set correctly.

 -- James A. Treacy <treacy@debian.org>  Sat, 12 Jan 2002 13:30:15 -0500

fftw (2.1.3-9) unstable; urgency=low

  * split package into single and double precision versions.
    This is done because some of the hand tuned versions of
    fftw only come in single or double precision.

 -- James A. Treacy <treacy@debian.org>  Fri, 11 Jan 2002 12:42:36 -0500

fftw (2.1.3-8) unstable; urgency=low

  * Include fortran/fftw_f77.i. Closes: #127840

  * Create the virtual packages fftw-single and fftw-double, since
    the assembler optimized versions of fftw only provide single or
    double precision.

 -- James A. Treacy <treacy@debian.org>  Thu, 10 Jan 2002 23:28:56 -0500

fftw (2.1.3-7) unstable; urgency=low

  * Rebuild to fix signing problem

 -- James A. Treacy <treacy@debian.org>  Wed, 18 Jul 2001 13:59:24 -0500

fftw (2.1.3-6) unstable; urgency=low

  * Remove config.cache. Closes: bug #105343

 -- James A. Treacy <treacy@debian.org>  Tue, 17 Jul 2001 13:59:24 -0500

fftw (2.1.3-5) unstable; urgency=low

  * Update config.guess and config.sub. Closes: bug #103887

 -- James A. Treacy <treacy@debian.org>  Wed, 10 Jan 2001 13:59:24 -0500

fftw (2.1.3-4) unstable; urgency=low

  * Build single precision libraries. Closes: bug #92834, #93646

 -- James A. Treacy <treacy@debian.org>  Wed, 10 Jan 2001 13:59:24 -0500

fftw (2.1.3-3) unstable; urgency=low

  * Add g77 to the Build-Depends. Closes: bug #81804

 -- James A. Treacy <treacy@debian.org>  Wed, 10 Jan 2001 13:59:24 -0500

fftw (2.1.3-2) unstable; urgency=low

  * Corrected the descriptions. Closes: bug #51459, #56585

 -- James A. Treacy <treacy@debian.org>  Sun, 28 Nov 1999 23:42:24 -0500

fftw (2.1.3-1) unstable; urgency=low

  * New upstream version.

 -- James A. Treacy <treacy@debian.org>  Mon,  8 Nov 1999 13:56:53 -0500

fftw (2.1.2-1) unstable; urgency=low

  * New Upstream version.

 -- James A. Treacy <treacy@debian.org>  Fri, 28 May 1999 01:03:42 -0400

fftw (2.1.1-1) unstable; urgency=low

  * New Upstream version.

 -- James A. Treacy <treacy@debian.org>  Thu,  1 Apr 1999 01:58:09 -0500

fftw (2.1-1) unstable; urgency=low

  * New Upstream version.
  * info documentation now included. Fixes bug #33140

 -- James A. Treacy <treacy@debian.org>  Tue,  9 Mar 1999 12:35:27 -0500

fftw (2.0.1-2) unstable; urgency=low

  * Include threaded version of library (uses different name).

 -- James A. Treacy <treacy@debian.org>  Mon,  1 Feb 1999 16:23:46 -0500

fftw (2.0.1-1) unstable; urgency=low

  * New Upstream version.

 -- James A. Treacy <treacy@debian.org>  Thu,  1 Oct 1998 13:10:51 -0400

fftw (2.0-1) unstable; urgency=low

  * New Upstream version.

 -- James A. Treacy <treacy@debian.org>  Fri, 11 Sep 1998 16:00:00 -0400

fftw (1.3-2) unstable; urgency=low

  * missing .gif files added to documentation. Fixes bug #22304

 -- James A. Treacy <treacy@debian.org>  Sun, 24 May 1998 00:03:36 -0400

fftw (1.3-1) unstable; urgency=low

  * new upstream version
  * released under the GPL

 -- James A. Treacy <treacy@debian.org>  Fri, 17 Apr 1998 03:09:51 -0400

fftw (1.2.1-4) unstable; urgency=low

  * made -dev package depend on specific version of fftw1

 -- James A. Treacy <treacy@debian.org>  Mon, 16 Feb 1998 23:15:16 -0500

fftw (1.2.1-3) unstable; urgency=low

  * Got rid of lintian bugs.

 -- James A. Treacy <treacy@debian.org>  Thu, 12 Feb 1998 15:03:14 -0500

fftw (1.2.1-2) unstable; urgency=low

  * Added missing copyright file

 -- James A. Treacy <treacy@debian.org>  Mon,  2 Feb 1998 15:34:33 -0500

fftw (1.2.1-1) unstable; urgency=low

  * Initial Release.

 -- James A. Treacy <treacy@debian.org>  Fri,  9 Jan 1998 11:42:20 -0500
